<div class="carou">
	<div class="btn-img">
		<input type="button" class="btn1"></input>
		<input type="button" class="btn2"></input>
		<div class="slideshow">
			<ul>
				<li><img src="img/1.jpg" alt="1" width="600" height="600"></li>
				<li><img src="img/2.jpg" alt="2" width="600" height="600"></li>
				<li><img src="img/3.jpg" alt="3" width="600" height="600"></li>
				<li><img src="img/4.jpg" alt="4" width="600" height="600"></li>
				<li><img src="img/5.jpg" alt="5" width="600" height="600"></li>
				<li><img src="img/6.jpg" alt="6" width="600" height="600"></li>
				<li><img src="img/7.jpg" alt="7" width="600" height="600"></li>
				<li><img src="img/8.jpg" alt="8" width="600" height="600"></li>
				<li><img src="img/9.jpg" alt="9" width="600" height="600"></li>
				<li><img src="img/10.jpg" alt="10" width="600" height="600"></li>
				<li><img src="img/11.jpg" alt="11" width="600" height="600"></li>
				<li><img src="img/12.jpg" alt="12" width="600" height="600"></li>
				<li><img src="img/13.jpg" alt="13" width="600" height="600"></li>
				<li><img src="img/14.jpg" alt="14" width="600" height="600"></li>
				<li><img src="img/15.jpeg" alt="15" width="600" height="600"></li>
				<li><img src="img/16.jpg" alt="16" width="600" height="600"></li>
				<li><img src="img/17.jpg" alt="17" width="600" height="600"></li>
				<li><img src="img/18.jpg" alt="18" width="600" height="600"></li>
				<li><img src="img/19.jpg" alt="19" width="600" height="600"></li>
				<li><img src="img/20.jpg" alt="20" width="600" height="600"></li>
				<li><img src="img/21.jpg" alt="21" width="600" height="600"></li>
				<li><img src="img/22.jpg" alt="22" width="600" height="600"></li>
				<li><img src="img/23.jpg" alt="23" width="600" height="600"></li>
				<li><img src="img/24.jpg" alt="24" width="600" height="600"></li>
				<li><img src="img/25.jpg" alt="25" width="600" height="600"></li>
				<li><img src="img/26.jpg" alt="26" width="600" height="600"></li>
				<li><img src="img/27.jpg" alt="27" width="600" height="600"></li>
				<li><img src="img/28.jpg" alt="28" width="600" height="600"></li>
				<li><img src="img/29.jpg" alt="29" width="600" height="600"></li>
				<li><img src="img/30.jpg" alt="30" width="600" height="600"></li>
				<li><img src="img/31.jpg" alt="31" width="600" height="600"></li>
				<li><img src="img/32.jpg" alt="32" width="600" height="600"></li>
			</ul>
		</div>
	</div>

	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
	<script type="text/javascript">
		
		$( document ).ready(function() {

			var interval = setInterval(function() {
				$(".slideshow ul").animate({marginLeft:-600},500,function(){
				$(this).css({marginLeft:0}).find("li:last").after($(this).find("li:first"));
				});
			}, 2000);

			var animated = false;
			$('.slideshow').on('next', function() {
				if (animated) return;
				animated = true;
				$('.slideshow').animate({marginLeft:-600},500,function(){
				$(this).css({marginLeft:0}).find("li:last").after($(this).find("li:first"));
				animated = false;
				});
			});
		
			$('.slideshow').on('prev', function() {
				if (animated) return;
				animated = true;
				$('.slideshow').css({marginLeft:-600},500).find("li:first").before($(this).find("li:last"));
				$(this).animate({marginLeft:0},function(){
				animated = false;
				});
			});

			$('.btn1').click(function() {
			$('.slideshow').trigger('prev')
			});

			$('.btn2').click(function() {
			$('.slideshow').trigger('next')
			});

			var KEYLEFT = 37;
			var KEYRIGHT = 39;
			$(document).on('keydown', function(e) {
				switch (e.which) {
					case KEYLEFT:
						$('.slideshow ul').trigger('prev');
					break;
					case KEYRIGHT:
						$('.slideshow ul').trigger('next');
					break;
				}
			});

			$('.slideshow, .btn1, .btn2').mouseenter(function() {
			clearInterval(interval);
			}).mouseleave(function() {
				interval = setInterval(function() {
				$(".slideshow ul").animate({marginLeft:-600},500,function(){
				$(this).css({marginLeft:0}).find("li:last").after($(this).find("li:first"));
				});
			}, 2000);
			});

    	});
	</script>
</div>